Skip to main content
`Ctrl`+`K`

# TSInitializePackage

This function initializes everything in the `TS` package. It is called from `PetscDLLibraryRegister_petscts()` when using dynamic libraries, and on the first call to `TSCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode TSInitializePackage(void)

## Note

This function never needs to be called by PETSc users.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `PetscInitialize()`, `TSFinalizePackage()`

## Level

developer

## Location

src/ts/interface/dlregists.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages